List all assets in the organization.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
To use this endpoint, select Read Equipment under the Equipment category when creating or editing an API token. Learn More.
curl --request GET \
--url https://api.samsara.com/industrial/assets \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "123abcde-4567-8910-1112-fghi1314jklm",
"isRunning": true,
"name": "<string>",
"customMetadata": {
"manufacturer": "Samsara",
"serialNumber": "123ABC"
},
"dataOutputs": [
{
"dataGroup": "Control Pressure",
"dataInput": {
"dataGroup": "Pressure",
"id": "123456",
"lastPoint": {
"time": "2020-01-27T07:06:25Z",
"value": 1992.0506
},
"name": "Digital Input 1",
"units": "PSI"
},
"deviceId": "123",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Digital Output 1"
}
],
"location": {
"formattedAddress": "350 Rhode Island St, San Francisco CA, 94103",
"latitude": 37.765363,
"longitude": -122.403098
},
"locationDataInput": {
"id": "<string>"
},
"locationType": "point",
"parentAsset": {
"id": "123abcde-4567-8910-1112-fghi1314jklm",
"name": "<string>"
},
"runningStatusDataInput": {
"id": "12345"
},
"tags": [
{
"id": "3914",
"name": "East Coast",
"parentTagId": "4815"
}
]
}
],
"pagination": {
"endCursor": "MjkY",
"hasNextPage": true
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The limit for how many objects will be in the response. Default and max for this value is 512 objects.
1 <= x <= 512If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.
A filter on the data based on this comma-separated list of parent tag IDs, for use by orgs with tag hierarchies. Specifying a parent tag will implicitly include all descendent tags of the parent tag. Example: parentTagIds=345,678
A filter on the data based on this comma-separated list of tag IDs. Example: tagIds=1234,5678
A comma-separated list of industrial asset UUIDs. Example: assetIds=076efac2-83b5-47aa-ba36-18428436dcac,6707b3f0-23b9-4fe3-b7be-11be34aea544
curl --request GET \
--url https://api.samsara.com/industrial/assets \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "123abcde-4567-8910-1112-fghi1314jklm",
"isRunning": true,
"name": "<string>",
"customMetadata": {
"manufacturer": "Samsara",
"serialNumber": "123ABC"
},
"dataOutputs": [
{
"dataGroup": "Control Pressure",
"dataInput": {
"dataGroup": "Pressure",
"id": "123456",
"lastPoint": {
"time": "2020-01-27T07:06:25Z",
"value": 1992.0506
},
"name": "Digital Input 1",
"units": "PSI"
},
"deviceId": "123",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Digital Output 1"
}
],
"location": {
"formattedAddress": "350 Rhode Island St, San Francisco CA, 94103",
"latitude": 37.765363,
"longitude": -122.403098
},
"locationDataInput": {
"id": "<string>"
},
"locationType": "point",
"parentAsset": {
"id": "123abcde-4567-8910-1112-fghi1314jklm",
"name": "<string>"
},
"runningStatusDataInput": {
"id": "12345"
},
"tags": [
{
"id": "3914",
"name": "East Coast",
"parentTagId": "4815"
}
]
}
],
"pagination": {
"endCursor": "MjkY",
"hasNextPage": true
}
}